%define		module_name places

Name:		e_modules-%{module_name}
Version:	0.5.0
Release:	10%{?dist}
Summary:	%{module_name} module for the Enlightenment window manager

Group:		User Interface/Desktops
License:	BSD
URL:		http://www.enlightenment.org/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  enlightenment-devel >= 0.16.999, gettext-devel
Requires:	enlightenment >= 0.16.999

%description
A module which allows you to set popup reminders.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags} CPPFLAGS="-include config.h"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%{_libdir}/enlightenment/modules/%{module_name}*

%changelog
* Mon Aug 03 2009 Vasile Chelban <vchelban@fedoramd.org> 0.1.0-10
- workaround missing include config.h directive

* Sat Mar 14 2009 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.1.0-20090314
- SVN Update

* Sun Mar 1 2009 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.1.0-20090301
- Fixed BuildRequires based upon mock for F10
- Finalized Initial Build
- CVS Update
